Name:		directfb
Version:	1.0.0
Release:	b1
Summary:	Graphics abstraction library for the Linux Framebuffer Device

Group:		System/Libraries
License:	LGPL
URL:		http://www.directfb.org/
Source:		DirectFB-%{version}.tar.bz2
BuildRoot:	%{_tmppath}/%{name}-%{version}

BuildRequires:	libpng-devel >= 1.2.0
BuildRequires:	zlib-devel >= 1.1.3
BuildRequires:	libjpeg-devel >= 6b
BuildRequires:	freetype-devel >= 2.0.2

BuildArchitectures: i586


%define oname	DirectFB

%description
DirectFB is a thin library that provides hardware graphics acceleration,
input device handling and abstraction, integrated windowing system with
support for translucent windows and multiple display layers on top of the
Linux Framebuffer Device.

It is a complete hardware abstraction layer with software fallbacks for
every graphics operation that is not supported by the underlying hardware.
DirectFB adds graphical power to embedded systems and sets a new standard
for graphics under Linux.

%package	devel
Summary:	Development package for %{name}
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description	devel
The %{name}-devel package contains the static libraries and header files
needed for development with %{name}.

%prep
%setup -q -n %{oname}-%{version}
#./autogen.sh

%build
%configure \
	--disable-sse \
%ifarch	athlon i686
	--enable-mmx \
%else
	--disable-mmx \
%endif
	--disable-maintainer-mode \
	--enable-shared \
	--enable-static \
	--enable-fast-install \
	--disable-avifile \
	--disable-debug \
	--with-gfxdrivers=\
ati128,cle266,cyber5k,i810,mach64,matrox,\
neomagic,nsc,nvidia,radeon,savage,\
tdfx,unichrome
# no kernel support: radeon, i810, neomagic, savage
# build errors: sis315

make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT

# because of configure.in defining variables like MODULEDIR, DATADIR, ...
# only a DESTDIR install will work

make DESTDIR=$RPM_BUILD_ROOT install

find $RPM_BUILD_ROOT -type f -name "*.la" -exec rm -f {} ';'
find $RPM_BUILD_ROOT -type f -name "*.a" -exec rm -f {} ';'
find $RPM_BUILD_ROOT -type f -name "*.o" -exec rm -f {} ';'

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root,-)
#%doc AUTHORS COPYING ChangeLog NEWS README TODO
%{_libdir}/libdirectfb-*.so.*
%{_libdir}/libdirect-*.so.*
%{_libdir}/libfusion-*.so.*
#%{_libdir}/directfb-%{version}
#%{_datadir}/%{name}-%{version}
%{_libdir}/directfb-*
%{_bindir}/dfbg
%{_bindir}/dfbdump
%{_bindir}/dfbinfo
%{_bindir}/dfblayer
%{_bindir}/dfbscreen
%{_bindir}/dfbsummon
#%{_mandir}/man1/dfbg.1*
#%{_mandir}/man5/directfbrc.5*

%files devel
%defattr(-,root,root,-)
%doc docs/html/*
%{_bindir}/directfb-config
%{_bindir}/directfb-csource
%{_includedir}/directfb
%{_includedir}/directfb-internal
%{_mandir}/man1/directfb-csource.1*
%{_libdir}/pkgconfig/direct.pc
%{_libdir}/pkgconfig/directfb.pc
%{_libdir}/pkgconfig/directfb-internal.pc
%{_libdir}/pkgconfig/fusion.pc
%{_libdir}/libdirectfb.so
%{_libdir}/libdirect.so
%{_libdir}/libfusion.so
#%{_libdir}/libdirectfb.a
#%{_libdir}/libdirect.a
#%{_libdir}/libfusion.a


%changelog
* Tue Oct 17 2006 Yuichiro Nakada <berry@po.yui.mine.nu>
- Update to 1.0.0-rc1
* Mon Nov 5 2005 Yuichiro Nakada <berry@po.yui.mine.nu>
- Update to 0.9.24
* Wed Aug 17 2005 Yuichiro Nakada <berry@po.yui.mine.nu>
- Create for Berry Linux
